List policy acknowledgments
curl --request GET \
--url https://api.trycomp.ai/v1/policy-acknowledgments \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/policy-acknowledgments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/policy-acknowledgments"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"memberId": "mem_abc123",
"memberName": "Ada Lovelace",
"memberEmail": "ada@example.com",
"policyId": "pol_abc123",
"policyName": "Code of Conduct",
"acknowledged": true,
"acknowledgedAt": "2026-04-29T06:27:23.778Z",
"acknowledgedVersion": 3,
"signatures": [
{
"signedAt": "2026-04-29T06:27:23.778Z",
"version": 1
}
]
}
],
"count": 725,
"authType": "session",
"authenticatedUser": {
"id": "usr_abc123",
"email": "ada@example.com"
}
}Policies
List policy acknowledgments | Comp AI API
Returns one row per member per required policy, with the acknowledgment date when recorded. Use for audit evidence of who accepted which policy and when. A.
GET
/
v1
/
policy-acknowledgments
List policy acknowledgments
curl --request GET \
--url https://api.trycomp.ai/v1/policy-acknowledgments \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/policy-acknowledgments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/policy-acknowledgments"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"memberId": "mem_abc123",
"memberName": "Ada Lovelace",
"memberEmail": "ada@example.com",
"policyId": "pol_abc123",
"policyName": "Code of Conduct",
"acknowledged": true,
"acknowledgedAt": "2026-04-29T06:27:23.778Z",
"acknowledgedVersion": 3,
"signatures": [
{
"signedAt": "2026-04-29T06:27:23.778Z",
"version": 1
}
]
}
],
"count": 725,
"authType": "session",
"authenticatedUser": {
"id": "usr_abc123",
"email": "ada@example.com"
}
}Authorizations
API key for authentication
Query Parameters
Limit the result to a single member, for a per-employee report.
Limit the result to a single policy. Combine with memberId for one member and policy.
Was this page helpful?

